import { Artifact } from '@aws-cdk/aws-codepipeline-api';
import { StageConfigParams } from '../types';
export declare function getSourceConfig(params: StageConfigParams, index: number): {
    atIndex: number;
    branch: string;
    oauthToken: import("@aws-cdk/cdk").Secret;
    owner: string;
    pipeline: import("@aws-cdk/aws-codepipeline").Pipeline;
    repo: string;
};
export declare function getBuildConfig(params: StageConfigParams, index: number, inputArtifact?: Artifact): {
    build: {
        commands: string[];
        finally: string[];
    };
    atIndex: number;
    env: {
        'parameter-store': {
            ACCESS_TOKEN: string;
        };
        variables: {
            BRANCH_NAME: string;
            DEPLOY_MODE: string;
            PIPELINE_DESC: string;
            PIPELINE_STATE: string;
            STAGE: string;
            TARGET_URL: string;
            TEST_PIPELINE_CONTEXT: string;
        };
    };
    inputArtifact: Artifact | undefined;
    install: {
        commands: string[];
        finally: string[];
    };
    pipeline: import("@aws-cdk/aws-codepipeline").Pipeline;
    postBuild: {
        commands: never[];
    };
    role: import("@aws-cdk/aws-iam").Role;
};
export declare function getTestConfig(params: StageConfigParams, index: number, inputArtifact?: Artifact): {
    postBuild: {
        commands: string[];
        finally: string[];
    };
    atIndex: number;
    build: {
        commands: never[];
        finally: never[];
    };
    env: {
        'parameter-store': {
            ACCESS_TOKEN: string;
        };
        variables: {
            BRANCH_NAME: string;
            DEPLOY_MODE: string;
            PIPELINE_DESC: string;
            PIPELINE_STATE: string;
            STAGE: string;
            TARGET_URL: string;
            TEST_PIPELINE_CONTEXT: string;
        };
    };
    inputArtifact: Artifact | undefined;
    install: {
        commands: string[];
        finally: string[];
    };
    pipeline: import("@aws-cdk/aws-codepipeline").Pipeline;
    role: import("@aws-cdk/aws-iam").Role;
};
export declare function getTestEnd2EndConfig(params: StageConfigParams, index: number, inputArtifact?: Artifact): {
    postBuild: {
        commands: string[];
        finally: string[];
    };
    atIndex: number;
    build: {
        commands: never[];
        finally: never[];
    };
    env: {
        'parameter-store': {
            ACCESS_TOKEN: string;
        };
        variables: {
            BRANCH_NAME: string;
            DEPLOY_MODE: string;
            PIPELINE_DESC: string;
            PIPELINE_STATE: string;
            STAGE: string;
            TARGET_URL: string;
            TEST_PIPELINE_CONTEXT: string;
        };
    };
    inputArtifact: Artifact | undefined;
    install: {
        commands: string[];
        finally: string[];
    };
    pipeline: import("@aws-cdk/aws-codepipeline").Pipeline;
    role: import("@aws-cdk/aws-iam").Role;
};
export declare function getDeployConfig(params: StageConfigParams, index: number, inputArtifact?: Artifact): {
    postBuild: {
        commands: string[];
        finally: string[];
    };
    atIndex: number;
    build: {
        commands: never[];
        finally: never[];
    };
    env: {
        'parameter-store': {
            ACCESS_TOKEN: string;
        };
        variables: {
            BRANCH_NAME: string;
            DEPLOY_MODE: string;
            PIPELINE_DESC: string;
            PIPELINE_STATE: string;
            STAGE: string;
            TARGET_URL: string;
            TEST_PIPELINE_CONTEXT: string;
        };
    };
    inputArtifact: Artifact | undefined;
    install: {
        commands: string[];
        finally: string[];
    };
    pipeline: import("@aws-cdk/aws-codepipeline").Pipeline;
    role: import("@aws-cdk/aws-iam").Role;
};
